# Awesome Self-hosted AWS
A curated list of awesome self-hosted alternatives to Amazon Web Services (AWS)

- [EC2 / Lightsail](#ec2--lightsail)
- [Lambda](#lambda)
- [S3](#s3)
- [Related Lists](#related-lists)

## EC2 / Lightsail
Elastic Compute Cloud

* [Proxmox Virtual Environment](https://www.proxmox.com/en/proxmox-ve) - Open source server virtualization management solution based on QEMU/KVM and LXC.

## Lambda

* [1Backend](https://github.com/1backend/1backend) - Platform designed to make deploying, running and maintaining lambda functions/microservices easy.
* [Fission](https://github.com/fission/fission) - Fast Serverless Functions for Kubernetes.
* [OpenWhisk](https://github.com/apache/incubator-openwhisk) - Serverless event-based programming service.

## S3

* [Ceph](https://github.com/ceph/ceph) - Distributed object, block, and file storage platform.
* [Minio](https://github.com/minio/minio) - Open source object storage server compatible with Amazon S3 APIs.
* [Garage](https://garagehq.deuxfleurs.fr/) – An open-source distributed object storage service tailored for self-hosting
* [SeaweedFS](https://github.com/seaweedfs/seaweedfs) – SeaweedFS is a fast distributed storage system for blobs, objects, files, and data lake, for billions of files.

## Related Lists

* [Awesome AWS](https://github.com/donnemartin/awesome-aws) - A curated list of awesome Amazon Web Services (AWS) libraries, open source repos, guides, blogs, and other resources.
* [Awesome Serverless](https://github.com/anaibol/awesome-serverless) - A curated list of awesome services, solutions and resources for serverless / nobackend applications.
* [Awesome Selfhosted](https://github.com/Kickball/awesome-selfhosted) - A list of Free Software network services and web applications which can be hosted locally.
* [Awesome Sysadmin](https://github.com/n1trux/awesome-sysadmin) - A curated list of amazingly awesome open source sysadmin resources.
* [r/selfhosted](https://www.reddit.com/r/selfhosted/) - A place to share alternatives to popular online services that can be self hosted without giving up privacy or locking you into a service you don't control.
